#include "IRremote.h"

// Numéro du pin sortie du récepteur 
long int res_val;
const int receiver = 11; 

// Indicateur de présence 
const int PresFlag = 4; 

// Déclaration d'un objet IRrecv
IRrecv irrecv(receiver);           
decode_results results;            

void setup()  
{
  // Initialisation interface série 
  Serial.begin(9600);
    
  // Init du récepteur 
  irrecv.enableIRIn();

  // Indicateur 
  pinMode(PresFlag, OUTPUT);
  digitalWrite(PresFlag, LOW);
}

void loop()  
{
  // Lecture de la télécommande 
  if (irrecv.decode(&results))
  {
    // Récupération du code   
    res_val = results.value;
    //Serial.println(res_val, HEX);
    
    if (res_val==0xE0984BB6)
    {
      digitalWrite(PresFlag, HIGH);
      Serial.println("Présence d'objet");
    }
    else
    {
      digitalWrite(PresFlag, LOW);
      Serial.println("Absence d'objet");
    }
    
    // Réception de la nouvelle valeur
    irrecv.resume();
    res_val=0; 
    
    // Temporisateur de la boucle 
    delay(100); 
  }  
}
